Commit da392d91 authored by Russ Cox's avatar Russ Cox

build: no required environment variables

R=adg, r, PeterGo
CC=golang-dev
https://golang.org/cl/1942044
parent 31339c32
...@@ -14,9 +14,10 @@ syntax:glob ...@@ -14,9 +14,10 @@ syntax:glob
core core
_obj _obj
_test _test
y.tab.[ch]
doc/htmlgen doc/htmlgen
src/Make.inc
src/cmd/6a/6a src/cmd/6a/6a
y.tab.[ch]
src/cmd/?l/enam.c src/cmd/?l/enam.c
src/cmd/gc/builtin.c src/cmd/gc/builtin.c
src/cmd/gc/mkbuiltin1 src/cmd/gc/mkbuiltin1
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include $(GOROOT)/src/Make.inc
TARG=htmlgen TARG=htmlgen
GOFILES=\ GOFILES=\
......
...@@ -64,7 +64,7 @@ is illustrated by <a href="../src/pkg/container/vector/Makefile"><code>src/pkg/c ...@@ -64,7 +64,7 @@ is illustrated by <a href="../src/pkg/container/vector/Makefile"><code>src/pkg/c
</p> </p>
<pre> <pre>
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=container/vector TARG=container/vector
GOFILES=\ GOFILES=\
...@@ -80,7 +80,7 @@ Outside the Go source tree (for personal packages), the standard form is ...@@ -80,7 +80,7 @@ Outside the Go source tree (for personal packages), the standard form is
</p> </p>
<pre> <pre>
include $(GOROOT)/src/Make.$(GOARCH) include $(GOROOT)/src/Make.inc
TARG=mypackage TARG=mypackage
GOFILES=\ GOFILES=\
...@@ -98,6 +98,14 @@ even if <code>$(GOROOT)</code> contains spaces. ...@@ -98,6 +98,14 @@ even if <code>$(GOROOT)</code> contains spaces.
This makes it easy for programmers to try Go. This makes it easy for programmers to try Go.
</p> </p>
<p>
If you have not set <code>$GOROOT</code> in your environment,
you must run <code>gomake</code> to use this form of makefile.
<code>Gomake</code> also takes care to invoke GNU Make
even on systems where it is installed as <code>gmake</code>
rather than <code>make</code>.
</p>
<p> <p>
<code>TARG</code> is the target install path for the package, <code>TARG</code> is the target install path for the package,
the string that clients will use to import it. the string that clients will use to import it.
...@@ -131,8 +139,8 @@ cd $GOROOT/src/pkg ...@@ -131,8 +139,8 @@ cd $GOROOT/src/pkg
</pre> </pre>
<p> <p>
to update the dependency file <code>Make.deps</code>. to update the dependency file <code>Make.deps</code>.
(This happens automatically each time you run <code>make all</code> (This happens automatically each time you run <code>all.bash</code>
or <code>make build</code>.) or <code>make.bash</code>.)
</p> </p>
<p> <p>
...@@ -259,7 +267,7 @@ Finally, the <code>Makefile</code>: ...@@ -259,7 +267,7 @@ Finally, the <code>Makefile</code>:
</p> </p>
<pre> <pre>
include $(GOROOT)/src/Make.$(GOARCH) include $(GOROOT)/src/Make.inc
TARG=numbers TARG=numbers
GOFILES=\ GOFILES=\
...@@ -269,13 +277,13 @@ include $(GOROOT)/src/Make.pkg ...@@ -269,13 +277,13 @@ include $(GOROOT)/src/Make.pkg
</pre> </pre>
<p> <p>
Running <code>make install</code> will build and install the package to Running <code>gomake install</code> will build and install the package to
the <code>$GOROOT/pkg/</code> directory (it can then be used by any the <code>$GOROOT/pkg/</code> directory (it can then be used by any
program on the system). program on the system).
</p> </p>
<p> <p>
Running <code>make test</code> (or just running the command Running <code>gomake test</code> (or just running the command
<code>gotest</code>) will rebuild the package, including the <code>gotest</code>) will rebuild the package, including the
<code>numbers_test.go</code> file, and then run the <code>TestDouble</code> <code>numbers_test.go</code> file, and then run the <code>TestDouble</code>
function. The output "<code>PASS</code>" indicates that all tests passed function. The output "<code>PASS</code>" indicates that all tests passed
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../src/Make.$(GOARCH) include ../../../src/Make.inc
all: index.html all: index.html
......
...@@ -20,15 +20,35 @@ compiler using the GCC back end, see ...@@ -20,15 +20,35 @@ compiler using the GCC back end, see
<h2>Environment variables</h2> <h2>Environment variables</h2>
<p> <p>
The Go compilation environment depends on three environment variables plus one optional variable: The Go compilation environment can be customized by five environment variables.
None are required by the build, but you may wish to set them
to override the defaults.
</p> </p>
<dl> <dl>
<dt> <dt>
<code>$GOROOT</code> <code>$GOROOT</code>
</dt> </dt>
<dd>The root of the Go tree. Typically this is <code>$HOME/go</code> <dd>
but it can be any directory. The root of the Go tree, often <code>$HOME/go</code>.
This defaults to the parent of the directory where <code>all.bash</code> is run.
Although this variable is optional, the examples and typescripts below
use it as shorthand for the location where you installed Go.
If you choose not to set <code>$GOROOT</code>, you must
run <code>gomake</code> instead of <code>make</code> or <code>gmake</code>
when developing Go programs using the conventional makefiles.
</dd>
<dt>
<code>$GOROOT_FINAL</code>
</dt>
<dd>
The value assumed by installed binaries and scripts when
<code>$GOROOT</code> is not set.
It defaults to the value used for <code>$GOROOT</code>.
If you want to build the Go tree in one location
but move it elsewhere after the build, set
<code>$GOROOT_FINAL</code> to the eventual location.
</dd> </dd>
<dt> <dt>
...@@ -36,6 +56,10 @@ The Go compilation environment depends on three environment variables plus one o ...@@ -36,6 +56,10 @@ The Go compilation environment depends on three environment variables plus one o
</dt> </dt>
<dd> <dd>
The name of the target operating system and compilation architecture. The name of the target operating system and compilation architecture.
These default to the local system's operating system and
architecture.
<p>
Choices for <code>$GOOS</code> are <code>linux</code>, Choices for <code>$GOOS</code> are <code>linux</code>,
<code>freebsd</code>, <code>freebsd</code>,
<code>darwin</code> (Mac OS X 10.5 or 10.6), <code>darwin</code> (Mac OS X 10.5 or 10.6),
...@@ -74,11 +98,10 @@ The Go compilation environment depends on three environment variables plus one o ...@@ -74,11 +98,10 @@ The Go compilation environment depends on three environment variables plus one o
<td></td><td><code>nacl</code></td> <td><code>386</code></td> <td></td><td><code>nacl</code></td> <td><code>386</code></td>
</tr> </tr>
</table> </table>
<p>
</dd> </dd>
<dt> <dt>
<code>$GOBIN</code> (optional) <code>$GOBIN</code>
</dt> </dt>
<dd> <dd>
The location where binaries will be installed. The location where binaries will be installed.
...@@ -88,7 +111,7 @@ The Go compilation environment depends on three environment variables plus one o ...@@ -88,7 +111,7 @@ The Go compilation environment depends on three environment variables plus one o
</dd> </dd>
<dt> <dt>
<code>$GOARM</code> (optional, arm, default=6) <code>$GOARM</code> (arm, default=6)
</dt> </dt>
<dd> <dd>
The ARM architecture version the runtime libraries should target. The ARM architecture version the runtime libraries should target.
...@@ -103,18 +126,24 @@ The Go compilation environment depends on three environment variables plus one o ...@@ -103,18 +126,24 @@ The Go compilation environment depends on three environment variables plus one o
Note that <code>$GOARCH</code> and <code>$GOOS</code> identify the Note that <code>$GOARCH</code> and <code>$GOOS</code> identify the
<em>target</em> environment, not the environment you are running on. <em>target</em> environment, not the environment you are running on.
In effect, you are always cross-compiling. In effect, you are always cross-compiling.
By architecture, we mean the kind of binaries
that the target environment can run:
an x86-64 system running a 32-bit-only operating system
must set <code>GOARCH</code> to <code>386</code>,
not <code>amd64</code>.
</p> </p>
<p> <p>
Set these variables in your shell profile (<code>$HOME/.bashrc</code>, If you choose to override the defaults,
set these variables in your shell profile (<code>$HOME/.bashrc</code>,
<code>$HOME/.profile</code>, or equivalent). The settings might look <code>$HOME/.profile</code>, or equivalent). The settings might look
something like this: something like this:
</p> </p>
<pre> <pre>
export GOROOT=$HOME/go export GOROOT=$HOME/go
export GOARCH=amd64 export GOARCH=amd64 # optional
export GOOS=linux export GOOS=linux # optional
</pre> </pre>
<p> <p>
...@@ -224,16 +253,21 @@ $ ./all.bash ...@@ -224,16 +253,21 @@ $ ./all.bash
</pre> </pre>
<p> <p>
If all goes well, it will finish by printing If all goes well, it will finish by printing output like:
</p> </p>
<pre> <pre>
--- cd ../test --- cd ../test
N known bugs; 0 unexpected bugs N known bugs; 0 unexpected bugs
---
Installed Go for darwin/amd64 in /Users/you/go; the compiler is 6g.
</pre> </pre>
<p> <p>
where <var>N</var> is a number that varies from release to release. where <var>N</var> is a number that varies from release to release
and the details on the last line will reflect the operating system,
architecture, and root directory used during the install.
</p> </p>
<h2>Writing programs</h2> <h2>Writing programs</h2>
......
...@@ -7,7 +7,7 @@ set -e ...@@ -7,7 +7,7 @@ set -e
GOBIN="${GOBIN:-$HOME/bin}" GOBIN="${GOBIN:-$HOME/bin}"
. "$GOROOT"/src/Make.$GOARCH eval $("$GOBIN"/gomake -f ../../src/Make.inc go-env)
if [ -z "$O" ]; then if [ -z "$O" ]; then
echo 'missing $O - maybe no Make.$GOARCH?' 1>&2 echo 'missing $O - maybe no Make.$GOARCH?' 1>&2
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../src/Make.$(GOARCH) include ../../../src/Make.inc
TARG=gmp TARG=gmp
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../src/Make.$(GOARCH) include ../../../src/Make.inc
TARG=life TARG=life
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../src/Make.$(GOARCH) include ../../../src/Make.inc
TARG=stdio TARG=stdio
CGOFILES=\ CGOFILES=\
......
...@@ -31,7 +31,7 @@ fi ...@@ -31,7 +31,7 @@ fi
export PATH=$PATH:`pwd`/candidate/bin export PATH=$PATH:`pwd`/candidate/bin
export GOBIN=`pwd`/candidate/bin export GOBIN=`pwd`/candidate/bin
export BAKED_GOROOT=/usr/local/go export GOROOT_FINAL=/usr/local/go
while true ; do ( while true ; do (
cd go || fatal "Cannot cd into 'go'" cd go || fatal "Cannot cd into 'go'"
......
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.
# Makefile included by all other makefiles.
# The build converts Make.inc.in to Make.inc.
# Only make changes in Make.inc.in.
# Set up GOROOT, GOARCH, GOOS if needed.
ifeq ($(GOROOT),)
GOROOT:=@@GOROOT@@
endif
ifeq ($(GOOS),)
GOOS:=${shell uname | tr A-Z a-z}
endif
ifeq ($(GOOS),darwin)
else ifeq ($(GOOS),freebsd)
else ifeq ($(GOOS),linux)
else ifeq ($(GOOS),nacl)
else ifeq ($(GOOS),windows)
else
$(error Invalid $$GOOS '$(GOOS)'; must be darwin, freebsd, linux, nacl, or windows)
endif
ifeq ($(GOARCH),)
ifeq ($(GOOS),darwin)
# Even on 64-bit platform, darwin uname -m prints i386.
# Check for amd64 with sysctl instead.
GOARCH:=${shell if sysctl machdep.cpu.extfeatures | grep EM64T >/dev/null; then echo amd64; else uname -m | sed 's/i386/386/'; fi}
else
# Ask uname -m for the processor.
GOARCH:=${shell uname -m | sed 's/^..86$$/386/; s/^.86$$/386/; s/x86_64/amd64/'}
endif
endif
ifeq ($(GOARCH),386)
O:=8
else ifeq ($(GOARCH),amd64)
O:=6
else ifeq ($(GOARCH),arm)
O:=5
else
$(error Invalid $$GOARCH '$(GOARCH)'; must be 386, amd64, or arm)
endif
# Save for recursive make.
export GOARCH GOOS
AS=${O}a
CC=${O}c
GC=${O}g
LD=${O}l
OS=568vq
CFLAGS=-FVw
go-env:
@echo export GOARCH=$(GOARCH)
@echo export GOOS=$(GOOS)
@echo export O=$O
@echo export AS="$(AS)"
@echo export CC="$(CC)"
@echo export GC="$(GC)"
@echo export LD="$(LD)"
@echo export OS="$(OS)"
@echo export CFLAGS="$(CFLAGS)"
@echo MAKE_GO_ENV_WORKED=1
# Don't let the targets in this file be used
# as the default make target.
.DEFAULT_GOAL:=
...@@ -4,5 +4,11 @@ ...@@ -4,5 +4,11 @@
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
set -e set -e
bash make.bash if [ ! -f make.bash ]; then
echo 'all.bash must be run from $GOROOT/src' 1>&2
exit 1
fi
. ./make.bash
bash run.bash --no-rebuild bash run.bash --no-rebuild
installed # function defined by make.bash
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=cgo TARG=cgo
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=ebnflint TARG=ebnflint
GOFILES=\ GOFILES=\
......
...@@ -12,7 +12,7 @@ set -e ...@@ -12,7 +12,7 @@ set -e
GOBIN="${GOBIN:-$HOME/bin}" GOBIN="${GOBIN:-$HOME/bin}"
. "$GOROOT"/src/Make.$GOARCH eval $("$GOBIN"/gomake -f ../../Make.inc go-env)
if [ -z "$GC" ]; then if [ -z "$GC" ]; then
echo 'missing $GC - maybe no Make.$GOARCH?' 1>&2 echo 'missing $GC - maybe no Make.$GOARCH?' 1>&2
exit 1 exit 1
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=godoc TARG=godoc
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=gofmt TARG=gofmt
GOFILES=\ GOFILES=\
......
...@@ -3,7 +3,9 @@ ...@@ -3,7 +3,9 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
. "$GOROOT"/src/Make.$GOARCH GOBIN="${GOBIN:-$HOME/bin}"
eval $("$GOBIN"/gomake --no-print-directory -f ../../Make.inc go-env)
if [ -z "$O" ]; then if [ -z "$O" ]; then
echo 'missing $O - maybe no Make.$GOARCH?' 1>&2 echo 'missing $O - maybe no Make.$GOARCH?' 1>&2
exit 1 exit 1
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=goinstall TARG=goinstall
GOFILES=\ GOFILES=\
......
...@@ -14,6 +14,7 @@ import ( ...@@ -14,6 +14,7 @@ import (
"io" "io"
"os" "os"
"path" "path"
"runtime"
"strings" "strings"
) )
...@@ -28,7 +29,7 @@ var ( ...@@ -28,7 +29,7 @@ var (
errors = false errors = false
gobin = os.Getenv("GOBIN") gobin = os.Getenv("GOBIN")
parents = make(map[string]string) parents = make(map[string]string)
root = os.Getenv("GOROOT") root = runtime.GOROOT()
visit = make(map[string]status) visit = make(map[string]status)
reportToDashboard = flag.Bool("dashboard", true, "report public packages at "+dashboardURL) reportToDashboard = flag.Bool("dashboard", true, "report public packages at "+dashboardURL)
......
...@@ -53,7 +53,7 @@ type makedata struct { ...@@ -53,7 +53,7 @@ type makedata struct {
} }
var makefileTemplate = template.MustParse(` var makefileTemplate = template.MustParse(`
include $(GOROOT)/src/Make.$(GOARCH) include $(GOROOT)/src/Make.inc
TARG={pkg} TARG={pkg}
GOFILES=\ GOFILES=\
......
// Copyright 2010 The Go Authors. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.
/*
The gomake command runs GNU make with an appropriate environment
for using the conventional Go makefiles. If $GOROOT is already
set in the environment, running gomake is exactly the same
as running make (or, on BSD systems, running gmake).
Usage: gomake [ target ... ]
Common targets are:
all (default)
build the package or command, but do not install it.
install
build and install the package or command
test
run the tests (packages only)
bench
run benchmarks (packages only)
clean
remove object files from the current directory
nuke
make clean and remove the installed package or command
See http://golang.org/doc/code.html for information about
writing makefiles.
*/
package documentation
...@@ -5,10 +5,13 @@ ...@@ -5,10 +5,13 @@
include ../../Make.conf include ../../Make.conf
TARG=gotest TARG=gotest
GOROOT_FINAL?=$(GOROOT)
clean: clean:
@true @true
install: $(TARG) install: $(TARG)
! test -f "$(GOBIN)"/$(TARG) || chmod u+w "$(GOBIN)"/$(TARG) ! test -f "$(GOBIN)"/$(TARG) || chmod u+w "$(GOBIN)"/$(TARG)
cp $(TARG) "$(GOBIN)"/$(TARG) sed 's`@@GOROOT@@`$(GOROOT_FINAL)`' gotest >"$(GOBIN)"/$(TARG)
chmod +x "$(GOBIN)"/$(TARG)
...@@ -16,14 +16,15 @@ export LC_CTYPE=C ...@@ -16,14 +16,15 @@ export LC_CTYPE=C
GOBIN="${GOBIN:-$HOME/bin}" GOBIN="${GOBIN:-$HOME/bin}"
_GC=$GC # Make.$GOARCH will overwrite this _GC=$GC # Make.inc will overwrite this
if [ ! -f [Mm]akefile ]; then if [ ! -f [Mm]akefile ]; then
echo 'please create a Makefile for gotest; see http://golang.org/doc/code.html for details' 1>&2 echo 'please create a Makefile for gotest; see http://golang.org/doc/code.html for details' 1>&2
exit 2 exit 2
fi fi
. "$GOROOT"/src/Make.$GOARCH export GOROOT=${GOROOT:-"@@GOROOT@@"}
eval $("$GOBIN"/gomake --no-print-directory -f "$GOROOT"/src/Make.inc go-env)
if [ -z "$O" ]; then if [ -z "$O" ]; then
echo 'missing $O - maybe no Make.$GOARCH?' 1>&2 echo 'missing $O - maybe no Make.$GOARCH?' 1>&2
exit 2 exit 2
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=goyacc TARG=goyacc
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=hgpatch TARG=hgpatch
GOFILES=\ GOFILES=\
......
...@@ -9,7 +9,7 @@ bash clean.bash ...@@ -9,7 +9,7 @@ bash clean.bash
GOBIN="${GOBIN:-$HOME/bin}" GOBIN="${GOBIN:-$HOME/bin}"
. "$GOROOT"/src/Make.$GOARCH eval $("$GOBIN"/gomake --no-print-directory -f ../Make.inc go-env)
if [ -z "$O" ]; then if [ -z "$O" ]; then
echo 'missing $O - maybe no Make.$GOARCH?' 1>&2 echo 'missing $O - maybe no Make.$GOARCH?' 1>&2
exit 1 exit 1
......
...@@ -16,11 +16,13 @@ elif ! test -d "$GOBIN"; then ...@@ -16,11 +16,13 @@ elif ! test -d "$GOBIN"; then
echo 'create it or set $GOBIN differently' 1>&2 echo 'create it or set $GOBIN differently' 1>&2
exit 1 exit 1
fi fi
export GOBIN
export GOROOT=${GOROOT:-$(cd ..; pwd)}
GOROOT=${GOROOT:-$(cd ..; pwd)}
if ! test -f "$GOROOT"/include/u.h if ! test -f "$GOROOT"/include/u.h
then then
echo '$GOROOT is not set correctly or not exported' 1>&2 echo '$GOROOT is not set correctly or not exported: '$GOROOT 1>&2
exit 1 exit 1
fi fi
...@@ -30,26 +32,23 @@ fi ...@@ -30,26 +32,23 @@ fi
DIR1=$(cd ..; pwd) DIR1=$(cd ..; pwd)
DIR2=$(cd $GOROOT; pwd) DIR2=$(cd $GOROOT; pwd)
if [ "$DIR1" != "$DIR2" ]; then if [ "$DIR1" != "$DIR2" ]; then
echo 'Suspicious $GOROOT: does not match current directory.' 1>&2 echo 'Suspicious $GOROOT '$GOROOT': does not match current directory.' 1>&2
exit 1 exit 1
fi fi
GOARCH=${GOARCH:-$(uname -m | sed 's/^..86$/386/; s/^.86$/386/; s/x86_64/amd64/')} MAKE=make
case "$GOARCH" in if ! make --version 2>/dev/null | grep 'GNU Make' >/dev/null; then
amd64 | 386 | arm) MAKE=gmake
;; fi
*)
echo '$GOARCH is set to <'$GOARCH'>, must be amd64, 386, or arm' 1>&2
exit 1
esac
GOOS=${GOOS:-$(uname | tr A-Z a-z)} # Tried to use . <($MAKE ...) here, but it cannot set environment
case "$GOOS" in # variables in the version of bash that ships with OS X. Amazing.
darwin | freebsd | linux | windows | nacl) eval $($MAKE --no-print-directory -f Make.inc.in go-env | egrep 'GOARCH|GOOS|GO_ENV')
;;
*)
echo '$GOOS is set to <'$GOOS'>, must be darwin, freebsd, linux, windows, or nacl' 1>&2
exit 1
esac
export GOBIN GOROOT GOARCH GOOS # Shell doesn't tell us whether make succeeded,
# so Make.inc generates a fake variable name.
if [ "$MAKE_GO_ENV_WORKED" != 1 ]; then
echo 'Did not find Go environment variables.' 1>&2
exit 1
fi
unset MAKE_GO_ENV_WORKED
...@@ -104,7 +104,7 @@ HFILES=\ ...@@ -104,7 +104,7 @@ HFILES=\
"$(GOROOT)"/include/u.h\ "$(GOROOT)"/include/u.h\
"$(GOROOT)"/include/libc.h\ "$(GOROOT)"/include/libc.h\
BAKED_GOROOT?=$(GOROOT) GOROOT_FINAL?=$(GOROOT)
install: $(LIB) install: $(LIB)
cp $(LIB) "$(GOROOT)/lib" cp $(LIB) "$(GOROOT)/lib"
...@@ -119,7 +119,7 @@ $(LIB): $(OFILES) ...@@ -119,7 +119,7 @@ $(LIB): $(OFILES)
$(CC) -c $(CFLAGS) $< $(CC) -c $(CFLAGS) $<
goos.$O: goos.c goos.$O: goos.c
$(CC) -c $(CFLAGS) -DGOOS='"$(GOOS)"' -DGOARCH='"$(GOARCH)"' -DGOROOT='"$(BAKED_GOROOT)"' -DGOVERSION='"'"$$(../version.bash)"'"' $< $(CC) -c $(CFLAGS) -DGOOS='"$(GOOS)"' -DGOARCH='"$(GOARCH)"' -DGOROOT='"$(GOROOT_FINAL)"' -DGOVERSION='"'"$$(../version.bash)"'"' $<
clean: clean:
rm -f *.$O *.6 6.out $(LIB) rm -f *.$O *.6 6.out $(LIB)
......
...@@ -4,8 +4,16 @@ ...@@ -4,8 +4,16 @@
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
set -e set -e
if [ ! -f env.bash ]; then
echo 'make.bash must be run from $GOROOT/src' 1>&2
exit 1
fi
. ./env.bash . ./env.bash
GOROOT_FINAL=${GOROOT_FINAL:-$GOROOT}
rm -f Make.inc
sed 's!@@GOROOT@@!'"$GOROOT_FINAL"'!' Make.inc.in >Make.inc
MAKEFLAGS=${MAKEFLAGS:-"-j4"} MAKEFLAGS=${MAKEFLAGS:-"-j4"}
export MAKEFLAGS export MAKEFLAGS
unset CDPATH # in case user has it set unset CDPATH # in case user has it set
...@@ -17,11 +25,11 @@ sed -e "s|@CC@|$CC|" < "$GOROOT"/src/quietgcc.bash > "$GOBIN"/quietgcc ...@@ -17,11 +25,11 @@ sed -e "s|@CC@|$CC|" < "$GOROOT"/src/quietgcc.bash > "$GOBIN"/quietgcc
chmod +x "$GOBIN"/quietgcc chmod +x "$GOBIN"/quietgcc
rm -f "$GOBIN"/gomake rm -f "$GOBIN"/gomake
MAKE=make (
if ! make --version 2>/dev/null | grep 'GNU Make' >/dev/null; then echo '#!/bin/sh'
MAKE=gmake echo 'export GOROOT=${GOROOT:-'$GOROOT_FINAL'}'
fi echo 'exec '$MAKE' "$@"'
(echo '#!/bin/sh'; echo 'exec '$MAKE' "$@"') >"$GOBIN"/gomake ) >"$GOBIN"/gomake
chmod +x "$GOBIN"/gomake chmod +x "$GOBIN"/gomake
if [ -d /selinux -a -f /selinux/booleans/allow_execstack ] ; then if [ -d /selinux -a -f /selinux/booleans/allow_execstack ] ; then
...@@ -73,9 +81,26 @@ do ...@@ -73,9 +81,26 @@ do
esac esac
done done
case "`uname`" in # Print post-install messages.
Darwin) # Implemented as a function so that all.bash can repeat the output
echo; # after run.bash finishes running all the tests.
echo %%% run sudo.bash to install debuggers installed() {
eval $("$GOBIN"/gomake -f Make.inc go-env)
echo
echo ---
echo Installed Go for $GOOS/$GOARCH in "$GOROOT".
echo Installed commands in "$GOBIN".
echo The compiler is $GC.
if [ "$(uname)" = "Darwin" ]; then
echo echo
esac echo On OS X the debuggers must be installed setgrp procmod.
echo Read and run ./sudo.bash to install the debuggers.
fi
if [ "$GOROOT_FINAL" != "$GOROOT" ]; then
echo
echo The binaries expect "$GOROOT" to be copied or moved to "$GOROOT_FINAL".
fi
}
(installed) # run in sub-shell to avoid polluting environment
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=archive/tar TARG=archive/tar
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=asn1 TARG=asn1
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=big TARG=big
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=bufio TARG=bufio
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=bytes TARG=bytes
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=cmath TARG=cmath
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=compress/flate TARG=compress/flate
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=compress/gzip TARG=compress/gzip
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=compress/zlib TARG=compress/zlib
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=container/heap TARG=container/heap
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=container/list TARG=container/list
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=container/ring TARG=container/ring
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=container/vector TARG=container/vector
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/aes TARG=crypto/aes
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/block TARG=crypto/block
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/blowfish TARG=crypto/blowfish
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/hmac TARG=crypto/hmac
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/md4 TARG=crypto/md4
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/md5 TARG=crypto/md5
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/rand TARG=crypto/rand
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/rc4 TARG=crypto/rc4
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/ripemd160 TARG=crypto/ripemd160
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/rsa TARG=crypto/rsa
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/sha1 TARG=crypto/sha1
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/sha256 TARG=crypto/sha256
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/sha512 TARG=crypto/sha512
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/subtle TARG=crypto/subtle
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/tls TARG=crypto/tls
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/x509 TARG=crypto/x509
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=crypto/xtea TARG=crypto/xtea
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=debug/dwarf TARG=debug/dwarf
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=debug/elf TARG=debug/elf
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=debug/gosym TARG=debug/gosym
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=debug/macho TARG=debug/macho
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=debug/proc TARG=debug/proc
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=ebnf TARG=ebnf
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=encoding/ascii85 TARG=encoding/ascii85
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=encoding/base64 TARG=encoding/base64
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=encoding/binary TARG=encoding/binary
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=encoding/git85 TARG=encoding/git85
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=encoding/hex TARG=encoding/hex
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=encoding/pem TARG=encoding/pem
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=exec TARG=exec
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=exp/datafmt TARG=exp/datafmt
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=exp/draw TARG=exp/draw
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../../Make.$(GOARCH) include ../../../../Make.inc
TARG=exp/draw/x11 TARG=exp/draw/x11
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=exp/eval TARG=exp/eval
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=exp/iterable TARG=exp/iterable
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../../Make.$(GOARCH) include ../../../../Make.inc
TARG=exp/nacl/av TARG=exp/nacl/av
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../../Make.$(GOARCH) include ../../../../Make.inc
TARG=exp/nacl/srpc TARG=exp/nacl/srpc
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=exp/ogle TARG=exp/ogle
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=expvar TARG=expvar
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=flag TARG=flag
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=fmt TARG=fmt
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=go/ast TARG=go/ast
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=go/doc TARG=go/doc
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=go/parser TARG=go/parser
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=go/printer TARG=go/printer
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=go/scanner TARG=go/scanner
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=go/token TARG=go/token
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=gob TARG=gob
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=hash TARG=hash
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=hash/adler32 TARG=hash/adler32
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=hash/crc32 TARG=hash/crc32
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=hash/crc64 TARG=hash/crc64
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=html TARG=html
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=http TARG=http
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=http/pprof TARG=http/pprof
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=image TARG=image
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include $(GOROOT)/src/Make.inc
TARG=image/jpeg TARG=image/jpeg
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=image/png TARG=image/png
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=io TARG=io
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=io/ioutil TARG=io/ioutil
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=json TARG=json
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=log TARG=log
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=math TARG=math
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=mime TARG=mime
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=mime/multipart TARG=mime/multipart
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=net TARG=net
GOFILES=\ GOFILES=\
......
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=net/dict TARG=net/dict
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=net/textproto TARG=net/textproto
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=netchan TARG=netchan
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=nntp TARG=nntp
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=os TARG=os
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=os/signal TARG=os/signal
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=patch TARG=patch
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=path TARG=path
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=rand TARG=rand
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=reflect TARG=reflect
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=regexp TARG=regexp
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=rpc TARG=rpc
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=rpc/jsonrpc TARG=rpc/jsonrpc
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=runtime TARG=runtime
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=runtime/pprof TARG=runtime/pprof
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=scanner TARG=scanner
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=sort TARG=sort
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=strconv TARG=strconv
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=strings TARG=strings
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=sync TARG=sync
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=syscall TARG=syscall
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=syslog TARG=syslog
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=tabwriter TARG=tabwriter
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=template TARG=template
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=testing TARG=testing
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=testing/iotest TARG=testing/iotest
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=testing/quick TARG=testing/quick
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../../Make.$(GOARCH) include ../../../Make.inc
TARG=testing/script TARG=testing/script
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=time TARG=time
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=unicode TARG=unicode
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=utf16 TARG=utf16
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=utf8 TARG=utf8
GOFILES=\ GOFILES=\
......
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=websocket TARG=websocket
GOFILES=\ GOFILES=\
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../Make.$(GOARCH) include ../../Make.inc
TARG=xml TARG=xml
......
...@@ -3,6 +3,9 @@ ...@@ -3,6 +3,9 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
set -e
. ./env.bash
case "`uname`" in case "`uname`" in
Darwin) Darwin)
;; ;;
......
...@@ -7,7 +7,7 @@ set -e ...@@ -7,7 +7,7 @@ set -e
GOBIN="${GOBIN:-$HOME/bin}" GOBIN="${GOBIN:-$HOME/bin}"
. "$GOROOT"/src/Make.$GOARCH eval $("$GOBIN"/gomake --no-print-directory -f ../../src/Make.inc go-env)
PATH=.:$PATH PATH=.:$PATH
mode=run mode=run
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include ../../src/Make.$(GOARCH) include ../../src/Make.inc
ALL=\ ALL=\
parser\ parser\
......
...@@ -74,7 +74,7 @@ func main() { ...@@ -74,7 +74,7 @@ func main() {
flag.Parse() flag.Parse()
var t0 int64 var t0 int64
pkgroot := os.Getenv("GOROOT") + "/src/pkg/" pkgroot := runtime.GOROOT() + "/src/pkg/"
for pass := 0; pass < 2; pass++ { for pass := 0; pass < 2; pass++ {
// Once the heap is grown to full size, reset counters. // Once the heap is grown to full size, reset counters.
// This hides the start-up pauses, which are much smaller // This hides the start-up pauses, which are much smaller
......
...@@ -3,7 +3,9 @@ ...@@ -3,7 +3,9 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
export E="" GOBIN="${GOBIN:-$HOME/bin}"
eval $("$GOBIN"/gomake --no-print-directory -f ../src/Make.inc go-env)
case X"$GOARCH" in case X"$GOARCH" in
Xamd64) Xamd64)
export A=6 export A=6
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment